pcl::device::kinfuLS::Emulation Struct Reference

`#include </build/pcl-OilVEB/pcl-1.8.1+dfsg1/gpu/kinfu_large_scale/src/cuda/utils.hpp>`

## Static Public Member Functions

static __device__ __forceinline__ int | warp_reduce (volatile int *ptr, const unsigned int tid)
static __forceinline__ __device__ int | Ballot (int predicate, volatile int *cta_buffer)
static __forceinline__ __device__ bool | All (int predicate, volatile int *cta_buffer)

## Detailed Description

Definition at line 585 of file utils.hpp.

## Member Function Documentation

## All()

static __forceinline__ __device__ bool pcl::device::kinfuLS::Emulation::All | ( | int | predicate,
|  | volatile int * | cta_buffer
| ) |  |

inline static

Definition at line 619 of file utils.hpp.

References pcl::device::kinfuLS::Block::flattenedThreadId(), and pcl::device::warp_reduce().

## Ballot()

static __forceinline__ __device__ int pcl::device::kinfuLS::Emulation::Ballot | ( | int | predicate,
|  | volatile int * | cta_buffer
| ) |  |

inline static

Definition at line 606 of file utils.hpp.

References pcl::device::kinfuLS::Block::flattenedThreadId(), and pcl::device::warp_reduce().

## warp_reduce()

static __device__ __forceinline__ int pcl::device::kinfuLS::Emulation::warp_reduce | ( | volatile int * | ptr,
|  | const unsigned int | tid
| ) |  |

inline static

Definition at line 588 of file utils.hpp.

The documentation for this struct was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/gpu/kinfu_large_scale/src/cuda/utils.hpp